//
//  XingAPIBookmarks.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (Bookmarks)

/**
 https://dev.xing.com/docs/put/users/:user_id/bookmarks/:id

 Create a bookmark.

 @param userID The userID (id) of the user that should be added to the bookmarks of the currently
 authenticated user.
 */
- (RACSignal *)createBookmark:(NSString *)userID;

/**
 https://dev.xing.com/docs/delete/users/:user_id/bookmarks/:id

 Delete a bookmark.

 @param userID The userID (id) of the user that should be removed from the bookmarks of the
 currently authenticated user.
 */
- (RACSignal *)deleteBookmark:(NSString *)userID;

/**
 https://dev.xing.com/docs/get/users/:user_id/bookmarks

 Returns a list of bookmarked users for the given user_id. This list is sorted by the creation date
 of the bookmarks.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectBookmarks in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadBookmarks:(NSDictionary *)parameters;
- (RACSignal *)loadBookmarks;

@end
