//
//  XingAPIContactPath.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (ContactPath)

/**
 https://dev.xing.com/docs/get/users/:user_id/network/:other_user_id/paths

 Get the shortest contact path(s) between the currently authenticated user and any other XING user.

 @param userID The userID (other_user_id) is a users's ID the contact path should end on.
 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectContactPaths in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadContactPathToUser:(NSString *)userID parameters:(NSDictionary *)parameters;
- (RACSignal *)loadContactPathToUser:(NSString *)userID;

@end
