//
//  XingAPIContactRequests.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (ContactRequests)

/**
 https://dev.xing.com/docs/post/users/:user_id/contact_requests

 Initiates a contact request between the currently authenticated user (sender) and the specified
 user (recipient).

 @param userID The userID (user_id) of the user receiving the contact request.
 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 */
- (RACSignal *)createContactRequest:(NSString *)userID parameters:(NSDictionary *)parameters;
- (RACSignal *)createContactRequest:(NSString *)userID;

/**
 https://dev.xing.com/docs/get/users/:user_id/contact_requests

 Lists all pending incoming contact requests the currently authenticated user has received from
 other users.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingEntityContactRequest in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadContactRequests:(NSDictionary *)parameters;
- (RACSignal *)loadContactRequests;

/**
 https://dev.xing.com/docs/get/users/:user_id/contact_requests/sent

 TODO: Not implemented yet.
 */

/**
 https://dev.xing.com/docs/put/users/:user_id/contact_requests/:id/accept

 TODO: Not implemented yet.
 */

/**
 https://dev.xing.com/docs/delete/users/:user_id/contact_requests/:id

 TODO: Not implemented yet.
 */

@end
