//
//  XingAPIGeoLocations.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI+GeoLocations.h"

@implementation XingAPI (GeoLocations)

#pragma mark - Public methods

- (RACSignal *)updateGeoLocation:(NSDictionary *)parameters {
    return [self updateGeoLocationForUser:nil parameters:parameters];
}

#pragma mark - Private methods

- (RACSignal *)updateGeoLocationForUser:(NSString *)userID parameters:(NSDictionary *)parameters {
    NSParameterAssert(parameters);
    NSParameterAssert(parameters[XingAPIParamAccuracy]);
    NSParameterAssert(parameters[XingAPIParamLatitude]);
    NSParameterAssert(parameters[XingAPIParamLongitude]);
    userID = userID ? userID : self.session.xingUserID;
    NSString *path = [NSString stringWithFormat:@"users/%@/geo_location", userID];
    RACReplaySubject *subject = [RACReplaySubject subject];
    [[self putRequestAtPath:path parameters:parameters] subscribeNext:^(XingAPIResponse *response) {
        [subject sendNext:response];
        [subject sendCompleted];
    } error:^(NSError *error) {
        [subject sendError:error];
    }];
    return subject;
}

@end
