//
//  XingAPIInvitations.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (Invitations)

/**
 https://dev.xing.com/docs/post/users/invite

 Send invitations via email to contacts who do not have a XING profile. The user is allowed to
 invite 2000 people per week.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectInvitationStats in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)sendInvitations:(NSDictionary *)parameters;

@end
