//
//  XingAPIInvitations.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI+Invitations.h"

@implementation XingAPI (Invitations)

- (RACSignal *)sendInvitations:(NSDictionary *)parameters {
    NSParameterAssert(parameters);
    NSParameterAssert(parameters[XingAPIParamToEmails]);
    RACReplaySubject *subject = [RACReplaySubject subject];
    [[self postRequestAtPath:@"users/invite" parameters:parameters] subscribeNext:^(XingAPIResponse *response) {
        [subject sendNext:response];
        [subject sendCompleted];
    } error:^(NSError *error) {
        [subject sendError:error];
    }];
    return subject;
}

@end
