//
//  XingAPIJobs.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (Jobs)

/**
 https://dev.xing.com/docs/get/jobs/find

 Returns a list of job postings that match the given criteria. At least the `query` key in the
 `parameter` dictionary must be set.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectJobs in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)findJob:(NSDictionary *)parameters;

/**
 https://dev.xing.com/docs/get/jobs/:id

 Returns a single job posting.

 @param jobID The jobID (id) string of the job that should get fetched.
 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingEntityJob in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadJob:(NSString *)jobID parameters:(NSDictionary *)parameters;
- (RACSignal *)loadJob:(NSString *)jobID;

@end
