//
//  XingAPIJobs.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI+Jobs.h"

@implementation XingAPI (Jobs)

- (RACSignal *)findJob:(NSDictionary *)parameters {
    NSParameterAssert(parameters);
    NSParameterAssert(parameters[XingAPIParamQuery]);
    NSString *path = @"jobs/find";
    RACReplaySubject *subject = [RACReplaySubject subject];
    [[self getRequestAtPath:path parameters:parameters] subscribeNext:^(XingAPIResponse *response) {
        [subject sendNext:response];
        [subject sendCompleted];
    } error:^(NSError *error) {
        [subject sendError:error];
    }];
    return subject;
}

- (RACSignal *)loadJob:(NSString *)jobID {
    return [self loadJob:jobID parameters:nil];
}

- (RACSignal *)loadJob:(NSString *)jobID parameters:(NSDictionary *)parameters {
    NSParameterAssert(jobID);
    NSString *path = [NSString stringWithFormat:@"jobs/%@", jobID];
    RACReplaySubject *subject = [RACReplaySubject subject];
    [[self getRequestAtPath:path parameters:parameters] subscribeNext:^(XingAPIResponse *response) {
        [subject sendNext:response];
        [subject sendCompleted];
    } error:^(NSError *error) {
        [subject sendError:error];
    }];
    return subject;
}

@end
