//
//  XingAPIProfileMessages.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (ProfileMessages)

/**
 https://dev.xing.com/docs/get/users/:user_id/profile_message

 Get the recent profile message for the user with the given ID.

 @param userID The userID (user_id) string of the user the profile message belongs to.
 @return XingEntityProfileMessage in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadProfileMessageForUser:(NSString *)userID;
- (RACSignal *)loadProfileMessage;

/**
 https://dev.xing.com/docs/put/users/:user_id/profile_message

 Update the profile message for the user with the given ID.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 */
- (RACSignal *)updateProfileMessage:(NSDictionary *)parameters;

@end
