//
//  XingAPIProfileVisits.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (ProfileVisits)

/**
 https://dev.xing.com/docs/post/users/:user_id/visits

 Creates a profile visit. The visiting user will be derived from the user executing the call, and
 the visit reason derived from the consumer.

 @param visitedUserID The userID (user_id) the currently authenticated user should visit.
 */
- (RACSignal *)createProfileVisit:(NSString *)visitedUserID;

/**
 https://dev.xing.com/docs/get/users/:user_id/visits

 Returns a list of users who recently visited the specified user's profile. Entries with a value of
 null in the user_id attribute indicate anonymous (non-XING) users (e.g. resulting from Google
 searches).

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingEntityProfileVisit in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadProfileVisits:(NSDictionary *)parameters;
- (RACSignal *)loadProfileVisits;

@end
