//
//  XingAPIRecommendations.h
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI.h"

@interface XingAPI (Recommendations)

/**
 https://dev.xing.com/docs/delete/users/:user_id/network/recommendations/user/:id

 Block recommendation for user with given id.

 @param userID The userID (id) of the recommended user that should no longer be returned.
 */
- (RACSignal *)blockUserRecommendation:(NSString *)userID;

/**
 https://dev.xing.com/docs/get/users/:user_id/jobs/recommendations

 Returns a list of job recommendations for the user.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectJobRecommendations in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadJobRecommendations:(NSDictionary *)parameters;
- (RACSignal *)loadJobRecommendations;

/**
 https://dev.xing.com/docs/get/users/:user_id/network/recommendations

 Returns a list of users the specified user might know.

 @param parameters A dictionary of GET parameters. See the documentation linked above for valid
 parameters and their meaning.
 @return XingObjectUserRecommendations in `XingAPIResponse.resultObject` in the `sendNext` callback.
 */
- (RACSignal *)loadUserRecommendations:(NSDictionary *)parameters;
- (RACSignal *)loadUserRecommendations;

@end
