//
//  XingAPIStatusMessages.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/16/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingAPI+StatusMessages.h"

@implementation XingAPI (StatusMessages)

#pragma mark - Public methods

- (RACSignal *)postStatusUpdate:(NSString *)message {
    return [self postStatusUpdate:message forUser:nil];
}

#pragma mark - Private methods

- (RACSignal *)postStatusUpdate:(NSString *)message forUser:(NSString *)userID {
    NSParameterAssert(message);
    userID = userID ? userID : self.session.xingUserID;
    NSString *path = [NSString stringWithFormat:@"users/%@/status_message", userID];
    RACReplaySubject *subject = [RACReplaySubject subject];
    [[self postRequestAtPath:path parameters:@{XingAPIParamMessage: message}] subscribeNext:^(XingAPIResponse *response) {
        [subject sendNext:response];
        [subject sendCompleted];
    } error:^(NSError *error) {
        [subject sendError:error];
    }];
    return subject;
}

@end
