//
//  XingObjectInvitationStats.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingEntityUser.h"
#import "XingObjectInvitationStats.h"

@implementation XingObjectInvitationStats

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromDictionary:@{
     @"already_invited": @"alreadyInvited",
     @"invalid_addresses": @"invalidAddresses",
     @"invitations_sent": @"invitationsSent",
     @"total_addresses": @"totalAddresses",
     }];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"already_member"
                                                 toKeyPath:@"alreadyMember"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p totalAddresses:%@ invitationsSent:%@>", NSStringFromClass([self class]), self, self.totalAddresses, self.invitationsSent];
}

@end
