//
//  XingObjectBookmarks.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingEntityBookmark.h"
#import "XingObjectBookmarks.h"

@implementation XingObjectBookmarks

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"total"]];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"items"
                                                 toKeyPath:@"items"
                                               withMapping:[XingEntityBookmark mappingInManagedObjectStore:store]]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.items.count];
}

@end
