//
//  XingObjectContactPaths.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityContactPath.h"
#import "XingObjectContactPaths.h"

@implementation XingObjectContactPaths

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"distance", @"total"]];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"paths"
                                                 toKeyPath:@"items"
                                               withMapping:[XingEntityContactPath mappingInManagedObjectStore:store]]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ distance:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.distance, self.items.count];
}

@end
