//
//  XingObjectContacts.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingObjectContacts.h"
#import "XingEntityUser.h"

@implementation XingObjectContacts

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"total"]];
    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"users"
                                                 toKeyPath:@"items"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.items.count];
}

@end
