//
//  XingObjectConversations.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingObjectConversations.h"
#import "XingEntityConversation.h"

@implementation XingObjectConversations

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromDictionary:@{
     @"total": @"total",
     @"unread_count": @"unreadCount",
     }];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"items"
                                                 toKeyPath:@"items"
                                               withMapping:[XingEntityConversation mappingInManagedObjectStore:store]]];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ unreadCount:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.unreadCount, self.items.count];
}

@end
