//
//  XingObjectFindByEmails.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/22/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingObjectFindByEmails.h"
#import "XingObjectFindByEmailsItem.h"

@implementation XingObjectFindByEmails

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"total"]];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"items"
                                                 toKeyPath:@"items"
                                               withMapping:[XingObjectFindByEmailsItem mappingInManagedObjectStore:store]]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.items.count];
}

@end
