//
//  XingObjectFindByEmailsItem.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/22/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingObjectFindByEmailsItem.h"

@implementation XingObjectFindByEmailsItem

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"email"]];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"user"
                                                 toKeyPath:@"user"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p email:%@ user:%@>", NSStringFromClass([self class]), self, self.email, self.user.userID];
}

@end
