//
//  XingObjectMessages.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingObjectMessages.h"
#import "XingEntityMessage.h"

@implementation XingObjectMessages

+ (RKObjectMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKObjectMapping *mapping = [RKObjectMapping mappingForClass:[self class]];

    [mapping addAttributeMappingsFromArray:@[@"total"]];

    [mapping addPropertyMapping:
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"items"
                                                 toKeyPath:@"items"
                                               withMapping:[XingEntityMessage mappingInManagedObjectStore:store]]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p total:%@ items:%u>", NSStringFromClass([self class]), self, self.total, self.items.count];
}

@end
