//
//  XingEntityActivity.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/22/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityActivity.h"
#import "XingEntityActivityActor.h"
#import "XingEntityActivityObject.h"
#import "XingEntityActivityComment.h"

@implementation XingEntityActivity

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    mapping.identificationAttributes = @[@"activityID"];

    [mapping addAttributeMappingsFromDictionary:@{
     @"ids": @"activityID",
     @"aggregated": @"aggregated",
     @"aggregated_by": @"aggregatedBy",
     @"changes": @"changes",
     @"created_at": @"createdAt",
     @"possible_actions": @"possibleActions",
     @"type": @"type",
     @"verb": @"verb",
     @"comments.amount": @"totalComments",
     @"comments.current_user_commented": @"currentUserCommented",
     @"likes.amount": @"totalLikes",
     @"likes.current_user_liked": @"currentUserLiked",
     }];

    RKRelationshipMapping *relationshipMapping = nil;
    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"objects"
                                                                      toKeyPath:@"objects"
                                                                    withMapping:[XingEntityActivityObject mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"actors"
                                                                      toKeyPath:@"actors"
                                                                    withMapping:[XingEntityActivityActor mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"comments.latest_comments"
                                                                      toKeyPath:@"comments"
                                                                    withMapping:[XingEntityActivityComment mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p activityID:%@>", NSStringFromClass([self class]), self, self.activityID];
}

@end
