//
//  XingEntityActivityComment.m
//  XingSDK
//
//  Created by Johannes Plunien on 01/13/13.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityActivityComment.h"
#import "XingEntityUser.h"

@implementation XingEntityActivityComment

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    mapping.identificationAttributes = @[@"commentID"];

    [mapping addAttributeMappingsFromDictionary:@{
     @"id": @"commentID",
     @"created_at": @"createdAt",
     @"content": @"content",
     }];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"creator"
                                                 toKeyPath:@"creator"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]],
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p commentID:%@>", NSStringFromClass([self class]), self, self.commentID];
}

@end
