//
//  XingEntityActivityThing.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/22/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityActivityThing.h"

@implementation XingEntityActivityThing

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{@"type": @"objectType"}];
    RKAttributeMapping *objectDataMapping = [RKAttributeMapping attributeMappingFromKeyPath:nil
                                                                                  toKeyPath:@"objectData"];
    [mapping addAttributeMappingsFromArray:@[objectDataMapping]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p objectType:%@>", NSStringFromClass([self class]), self, self.objectType];
}

@end
