//
//  XingEntityBirthDate.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityBirthDate.h"

/**
 On xing.com a user can decide to hide the year of his birth date from other contacts. That's why
 the birth date is a separate entity and not just a `NSDate`.

 # Properties

 * day
 * month
 * year

 # Relationships

 * user -> XingEntityUser -> birthDate

 */
@interface XingEntityBirthDate : _XingEntityBirthDate

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;

@end
