//
//  XingEntityBirthDate.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityBirthDate.h"

@implementation XingEntityBirthDate

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromArray:@[@"year", @"month", @"day"]];
    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p date:%@>", NSStringFromClass([self class]), self, [self date]];
}

- (NSDate *)date {
    NSDateComponents *components = [[NSDateComponents alloc] init];
    [components setYear:[self.year intValue]];
    [components setMonth:[self.month intValue]];
    [components setDay:[self.day intValue]];
    [components setHour:0];
    [components setMinute:0];
    [components setSecond:0];
    return [[NSCalendar currentCalendar] dateFromComponents:components];
}

@end
