//
//  XingEntityBookmark.m
//  XingSDK
//
//  Created by Johannes Plunien on 02/09/13.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityBookmark.h"
#import "XingEntityUser.h"

@implementation XingEntityBookmark

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"created_at": @"createdAt"
     }];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"user"
                                                 toKeyPath:@"user"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p user:%@>", NSStringFromClass([self class]), self, self.user];
}

@end
