//
//  XingEntityContactPath.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityContactPath.h"
#import "XingEntityUser.h"

@implementation XingEntityContactPath

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"users"
                                                 toKeyPath:@"users"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p users:%u>", NSStringFromClass([self class]), self, self.users.count];
}

@end
