//
//  XingEntityContactRequest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityContactRequest.h"
#import "XingEntityUser.h"

@implementation XingEntityContactRequest

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"message": @"message",
     @"received_at": @"receivedAt",
     }];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"sender"
                                                 toKeyPath:@"sender"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]]
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p sender:%@>", NSStringFromClass([self class]), self, self.sender.userID];
}

@end
