//
//  XingEntityConversation.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityConversation.h"
#import "XingEntityMessage.h"
#import "XingEntityUser.h"

@implementation XingEntityConversation

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    mapping.identificationAttributes = @[@"conversationID"];

    [mapping addAttributeMappingsFromDictionary:@{
     @"id": @"conversationID",
     @"message_count": @"messageCount",
     @"read_only": @"readOnly",
     @"subject": @"subject",
     @"unread_message_count": @"unreadMessageCount",
     @"updated_at": @"updatedAt",
     }];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"latest_messages"
                                                 toKeyPath:@"messages"
                                               withMapping:[XingEntityMessage mappingInManagedObjectStore:store]],
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"participants"
                                                 toKeyPath:@"participants"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]],
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p conversationID:%@ messageCount:%@>", NSStringFromClass([self class]), self, self.conversationID, self.messageCount];
}

@end
