//
//  XingEntityEducationalBackground.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityEducationalBackground.h"
#import "XingEntitySchool.h"

@implementation XingEntityEducationalBackground

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromArray:@[@"qualifications"]];

    RKRelationshipMapping *relationshipMapping = nil;
    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"schools"
                                                                      toKeyPath:@"schools"
                                                                    withMapping:[XingEntitySchool mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p schools:%u>", NSStringFromClass([self class]), self, self.schools.count];
}

@end
