//
//  XingEntityLocation.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityGeoCode.h"
#import "XingEntityLocation.h"

@implementation XingEntityLocation

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [super mappingInManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"region": @"region",
     }];

    RKRelationshipMapping *relationshipMapping = nil;
    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"geo_code"
                                                                      toKeyPath:@"geoCode"
                                                                    withMapping:[XingEntityGeoCode mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p city:%@ country:%@ region:%@ street:%@ zipCode:%@>",
            NSStringFromClass([self class]),
            self,
            self.city,
            self.country,
            self.region,
            self.street,
            self.zipCode
            ];
}

@end
