//
//  XingEntityMessage.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityMessage.h"
#import "XingEntityUser.h"

@implementation XingEntityMessage

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    mapping.identificationAttributes = @[@"messageID"];

    [mapping addAttributeMappingsFromDictionary:@{
     @"content": @"content",
     @"created_at": @"createdAt",
     @"id": @"messageID",
     @"read": @"read",
     }];

    [mapping addPropertyMappingsFromArray:@[
     [RKRelationshipMapping relationshipMappingFromKeyPath:@"sender"
                                                 toKeyPath:@"sender"
                                               withMapping:[XingEntityUser mappingInManagedObjectStore:store]],
     ]];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p messageID:%@>", NSStringFromClass([self class]), self, self.messageID];
}

@end
