//
//  XingEntityProfessionalExperience.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/14/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityProfessionalExperience.h"
#import "XingEntityAward.h"
#import "XingEntityUserCompany.h"

@implementation XingEntityProfessionalExperience

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    RKRelationshipMapping *relationshipMapping = nil;
    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"awards"
                                                                      toKeyPath:@"awards"
                                                                    withMapping:[XingEntityAward mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"primary_company"
                                                                      toKeyPath:@"primaryCompany"
                                                                    withMapping:[XingEntityUserCompany mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"non_primary_companies"
                                                                      toKeyPath:@"otherCompanies"
                                                                    withMapping:[XingEntityUserCompany mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p primaryCompany:%@>", NSStringFromClass([self class]), self, self.primaryCompany.name];
}

@end
