//
//  XingEntityProfileVisit.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/27/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingEntityPhotoURL.h"
#import "XingEntityProfileVisit.h"

@implementation XingEntityProfileVisit

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store {
    RKEntityMapping *mapping = [RKEntityMapping mappingForEntityForName:[self entityName]
                                                   inManagedObjectStore:store];

    [mapping addAttributeMappingsFromDictionary:@{
     @"company_name": @"companyName",
     @"visited_at_encrypted": @"visitedAtEncrypted",
     @"reason.text": @"reasonText",
     @"user_id": @"userID",
     @"display_name": @"displayName",
     @"visited_at": @"visitedAt",
     }];

    RKRelationshipMapping *relationshipMapping = nil;
    relationshipMapping = [RKRelationshipMapping relationshipMappingFromKeyPath:@"photo_urls"
                                                                      toKeyPath:@"photoURL"
                                                                    withMapping:[XingEntityPhotoURL mappingInManagedObjectStore:store]];
    relationshipMapping.assignmentPolicy = RKReplaceAssignmentPolicy;
    [mapping addPropertyMapping:relationshipMapping];

    return mapping;
}

- (NSString *)description {
    return [NSString stringWithFormat:@"<%@:%p reasonText:%@>", NSStringFromClass([self class]), self, self.reasonText];
}

@end
