//
//  XingUser.h
//  XingSDK
//
//  Created by Johannes Plunien on 12/1/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <RestKit/RestKit.h>
#import <RestKit/CoreData.h>
#import "_XingEntityUser.h"
#import "XingEntityAddressBusiness.h"
#import "XingEntityAddressPrivate.h"
#import "XingEntityBirthDate.h"
#import "XingEntityEducationalBackground.h"
#import "XingEntityPhotoURL.h"
#import "XingEntityProfessionalExperience.h"
#import "XingEntityTimeZone.h"

/**
 # Properties

 * activeEmail
 * displayName
 * firstName
 * gender
 * haves
 * interests
 * lastName
 * organisationMember
 * pageName
 * permalink
 * userID
 * wants
 * badges
 * premiumServices
 * languages
 * webProfiles
 * instantMessagingAccounts

 # Relationships

 * birthDate -> XingEntityBirthDate -> user
 * bookmark -> XingENtityBookmark -> user
 * bookmarks -> XingENtityBookmark -> owner
 * businessAddress -> XingEntityAddressBusiness -> user
 * contactPathDestination -> XingEntityContactPath -> toUser
 * contactPathMember -> XingEntityContactPath -> users
 * contactPathOrigin -> XingEntityContactPath -> fromUser
 * contacts -> XingEntityUser -> contactsInverse
 * contactsInverse -> XingEntityUser -> contacts
 * conversationParticipant -> XingEntityConversation -> participants
 * conversations -> XingEntityConversation -> user
 * educationalBackground -> XingEntityEducationalBackground -> user
 * jobContact -> XingEntityJob -> contactUser
 * messageSender -> XingEntityMessage -> sender
 * photoURL -> XingEntityPhotoURL -> user
 * privateAddress -> XingEntityAddressPrivate -> user
 * professionalExperience -> XingEntityProfessionalExperience -> user
 * profileMessage -> XingEntityProfileMessage -> user
 * profileVisits -> XingEntityProfileVisit -> user
 * timeZone -> XingEntityTimeZone -> user

 */
@interface XingEntityUser : _XingEntityUser

+ (RKEntityMapping *)mappingInManagedObjectStore:(RKManagedObjectStore *)store;
- (BOOL)isContactOf:(XingEntityUser *)user;

@end
