//
//  XingHTTPClient.m
//  XingSDK
//
//  Created by Johannes Plunien on 11/20/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingHTTPClient.h"

@interface XingHTTPClient ()

@property (nonatomic, strong) XingSession *session;

@end

@implementation XingHTTPClient

- (id)initWithBaseURL:(NSURL *)url session:(XingSession *)session {
    if (self = [super initWithBaseURL:url]) {
        _session = session;
    }
    return self;
}

- (NSMutableURLRequest *)requestWithMethod:(NSString *)method
                                      path:(NSString *)path
                                parameters:(NSDictionary *)parameters {
    return [self signRequest:[super requestWithMethod:method path:path parameters:parameters]];
}

- (NSMutableURLRequest *)signRequest:(NSMutableURLRequest *)request {
    [self.session signRequest:request];
    return request;
}

@end
