//
//  XingJSONSerialization.m
//  XingSDK
//
//  Created by Johannes Plunien on 1/20/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//
//  This class is sponsored by the Windows 8 Phone app from Zuelke.

#import "XingJSONSerialization.h"

@implementation XingJSONSerialization

+ (void)initialize {
    [RKMIMETypeSerialization registerClass:[self class] forMIMEType:@"application/json"];
}

+ (id)objectFromData:(NSData *)data error:(NSError **)error {
    NSString *json = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
    if ((json.length == 43 && [@"The profile visit was created successfully." isEqualToString:json]) ||
        (json.length == 29 && [@"Status update has been posted" isEqualToString:json]) ||
        (json.length == 36 && [@"The comment was created successfully" isEqualToString:json]) ||
        (json.length == 37 && [@"Contact request was successfully sent" isEqualToString:json])) {
        data = [@"{}" dataUsingEncoding:NSUTF8StringEncoding];
    }
    return [NSJSONSerialization JSONObjectWithData:data options:0 error:error];
}

+ (NSData *)dataFromObject:(id)object error:(NSError **)error {
    return [NSJSONSerialization dataWithJSONObject:object options:0 error:error];
}

@end
