//
//  XingBookmarksAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingBookmarksAPITest.h"

@implementation XingBookmarksAPITest

- (void)testLoadBookmarksForUser {
    if (self.session.isReady == NO) return;

    // Reset the bookmarks
    self.user.bookmarks = nil;
    [self.user.managedObjectContext save:nil];

    XingAPIResponse *response = nil;
    [self waitFor:self.api.loadBookmarks result:&response];

    XingObjectBookmarks *bookmarks = response.resultObject;
    expect(bookmarks.total).to.beGreaterThan(0);
    expect(bookmarks.items.count).to.beGreaterThan(0);
    expect(bookmarks.items.count).to.equal(self.user.bookmarks.count);
}

- (void)testCreateBookmark {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api createBookmark:@"467437519_1714c5"] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(204);
}

- (void)testDeleteBookmark {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api deleteBookmark:@"467437519_1714c5"] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(204);
}

@end
