//
//  XingContactPathAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingContactPathAPITest.h"

@implementation XingContactPathAPITest

- (void)testLoadContactPath {
    if (self.session.isReady == NO) return;

    // We need a contact of a contact
    XingAPIResponse *response = nil;
    [self waitFor:[self.api loadContactsWithParameters:@{@"limit": @1}] result:&response];
    XingObjectContacts *contacts = response.resultObject;

    NSString *contactID = ((XingEntityUser *)contacts.items.anyObject).userID;
    [self waitFor:[self.api loadContactsForUser:contactID] result:&response];
    XingObjectContacts *contactsOfContact = response.resultObject;

    // Make sure we have the "destination" user
    NSString *contactOfContactID = ((XingEntityUser *)contactsOfContact.items.anyObject).userID;
    [self waitFor:[self.api loadUser:contactOfContactID] result:&response];
    XingEntityUser *destinationUser = response.resultObject;

    // Reset contact paths
    self.user.contactPathOrigin = nil;
    [self.user.managedObjectContext save:nil];
    destinationUser.contactPathDestination = nil;
    [destinationUser.managedObjectContext save:nil];

    [self waitFor:[self.api loadContactPathToUser:contactOfContactID] result:&response];
    XingObjectContactPaths *contactPaths = response.resultObject;

    expect(contactPaths).to.beInstanceOf(XingObjectContactPaths.class);
    expect(contactPaths.total).to.beGreaterThan(0);
    expect(contactPaths.distance).to.beGreaterThan(0);

    XingEntityContactPath *contactPath = (XingEntityContactPath *)contactPaths.items.anyObject;
    expect(contactPath.fromUser).to.equal(self.user);
    expect(contactPath.toUser).to.equal(destinationUser);
    expect(self.user.contactPathOrigin.anyObject).to.equal(contactPath);
    expect(destinationUser.contactPathDestination.anyObject).to.equal(contactPath);
}

@end
