//
//  XingContactRequestAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingContactRequestAPITest.h"

@implementation XingContactRequestAPITest

- (void)testLoadContactRequests {
    if (self.session.isReady == NO) return;

    // Reset contact requests
    self.user.contactRequests = nil;
    [self.user.managedObjectContext save:nil];

    XingAPIResponse *response = nil;
    [self waitFor:self.api.loadContactRequests result:&response];
    NSArray *result = response.result.array;

    expect(result.count).to.beGreaterThan(0);
    expect(result.lastObject).to.beInstanceOf(XingEntityContactRequest.class);
    expect(self.user.contactRequests.count).to.equal(result.count);

    XingEntityContactRequest *request = (XingEntityContactRequest *)result.lastObject;
    expect(request.outgoing).to.equal(@NO);
}

- (void)testCreateContactRequest {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api createContactRequest:@"123456_abcdef"] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(201);
}

@end
