//
//  XingJobAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingJobAPITest.h"

@implementation XingJobAPITest

- (void)testFindJobs {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api findJob:@{@"query": @"rails"}] result:&response];
    XingObjectJobs *jobs = response.resultObject;

    expect(jobs).to.beInstanceOf(XingObjectJobs.class);
    expect(jobs.items.anyObject).to.beInstanceOf(XingEntityJob.class);
}

- (void)testLoadJob {
    if (self.session.isReady == NO) return;

    // First we need a jobID
    XingAPIResponse *response = nil;
    [self waitFor:[self.api findJob:@{@"query": @"rails"}] result:&response];
    XingObjectJobs *jobs = response.resultObject;

    XingEntityJob *job = jobs.items.anyObject;

    [self waitFor:[self.api loadJob:job.jobID] result:&response];
    XingEntityJob *result = response.resultObject;

    expect(result).to.beInstanceOf(XingEntityJob.class);
    expect(result.jobID).to.equal(job.jobID);
}

- (void)testLoadJobRecommendations {
    if (self.session.isReady == NO) return;

    // Reset job recommendations
    self.user.jobRecommendations = nil;
    [self.user.managedObjectContext save:nil];

    XingAPIResponse *response = nil;
    [self waitFor:self.api.loadJobRecommendations result:&response];
    XingObjectJobRecommendations *recos = response.resultObject;

    expect(recos).to.beInstanceOf(XingObjectJobRecommendations.class);
    expect(recos.total).to.beGreaterThan(0);
    expect(recos.items.anyObject).to.beInstanceOf(XingEntityJob.class);
    expect(self.user.jobRecommendations.count).to.equal(recos.items.count);
}

@end
