//
//  XingProfileMessageAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingProfileMessageAPITest.h"

@implementation XingProfileMessageAPITest

- (void)testLoadProfileMessageForUser {
    if (self.session.isReady == NO) return;

    // Reset the profile message
    self.user.profileMessage = nil;
    [self.user.managedObjectContext save:nil];

    XingAPIResponse *response = nil;
    [self waitFor:self.api.loadProfileMessage result:&response];
    XingEntityProfileMessage *message = response.resultObject;

    expect(message).to.beInstanceOf(XingEntityProfileMessage.class);
    expect(self.user.profileMessage).to.beInstanceOf(XingEntityProfileMessage.class);
}

- (void)testUpdateProfileMessage {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api updateProfileMessage:@{XingAPIParamMessage : @"Update!"}] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(204);
}

@end
