//
//  XingProfileVisitAPITest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/27/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingProfileVisitAPITest.h"

@implementation XingProfileVisitAPITest

- (void)testLoadProfileVisit {
    if (self.session.isReady == NO) return;

    // Reset profile visits
    self.user.profileVisits = nil;
    [self.user.managedObjectContext save:nil];

    XingAPIResponse *response = nil;
    [self waitFor:self.api.loadProfileVisits result:&response];
    NSArray *result = response.result.array;

    expect(result.count).to.beGreaterThan(0);
    expect(result.lastObject).to.beInstanceOf(XingEntityProfileVisit.class);
    expect(self.user.profileVisits.count).to.equal(result.count);
}

- (void)testCreateProfileVisit {
    if (self.session.isReady == NO) return;

    XingAPIResponse *response = nil;
    [self waitFor:[self.api createProfileVisit:@"18600191_ea2e1c"] result:&response];
    expect(response.operation.HTTPRequestOperation.response.statusCode).to.equal(201);
}

@end
