//
//  XingBookmarkMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "RKISO8601DateFormatter.h"
#import "XingBookmarkMappingTest.h"

@implementation XingBookmarkMappingTest

- (void)testBookmarkMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectBookmarks class]];
    NSDictionary *data = [self mappingData:@"bookmarks"][@"bookmarks"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectBookmarks *bookmarks = test.destinationObject;
    expect(bookmarks.total).to.equal(@1);

    NSDate *createdAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2011-05-25T10:26:10Z"];
    XingEntityBookmark *bookmark = bookmarks.items.anyObject;
    expect(bookmark.createdAt).to.equal(createdAt);
    expect(bookmark.user).to.beInstanceOf(XingEntityUser.class);
}

@end
