//
//  XingContactPathMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingContactPathMappingTest.h"

@implementation XingContactPathMappingTest

- (void)testContactPathsMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectContactPaths class]];
    NSDictionary *data = [self mappingData:@"contact_path"][@"contact_paths"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectContactPaths *contactPath = test.destinationObject;
    expect(contactPath.distance).to.equal(@3);
    expect(contactPath.total).to.equal(@1);
    expect(contactPath.items.anyObject).to.beInstanceOf(XingEntityContactPath.class);

    XingEntityContactPath *contactPathItem = contactPath.items.anyObject;
    expect(contactPathItem.users.lastObject).to.beInstanceOf(XingEntityUser.class);
}

@end
