//
//  XingContactRequestMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingContactRequestMappingTest.h"
#import "RKISO8601DateFormatter.h"

@implementation XingContactRequestMappingTest

- (void)testContactRequestMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingEntityContactRequest class]];
    NSDictionary *data = [self mappingData:@"contact_request"][@"contact_requests"][0];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    NSDate *receivedAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2010-11-17T10:56:16Z"];
    XingEntityContactRequest *contactRequest = test.destinationObject;
    expect(contactRequest.message).to.equal(@"Sehr geehrter Herr Irgendwas, ich würde Sie gern zu meinen Kontakten hinzufügen.");
    expect(contactRequest.receivedAt).to.equal(receivedAt);
    expect(contactRequest.sender).to.beInstanceOf(XingEntityUser.class);
}

@end
