//
//  XingConversationMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/16/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingConversationMappingTest.h"
#import "RKISO8601DateFormatter.h"

@implementation XingConversationMappingTest

- (void)testConversationMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingEntityConversation class]];
    NSDictionary *data = [self mappingData:@"conversation"][@"conversation"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    NSDate *updatedAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2012-04-04 16:30:00 +0000"];
    XingEntityConversation *conversation = test.destinationObject;
    expect(conversation.conversationID).to.equal(@"51626_4be761");
    expect(conversation.subject).to.equal(@"Business opportunities");
    expect(conversation.messageCount).to.equal(@2);
    expect(conversation.unreadMessageCount).to.equal(@1);
    expect(conversation.updatedAt).to.equal(updatedAt);
    expect(conversation.readOnly).to.equal(@NO);
    expect(conversation.participants.anyObject).to.beInstanceOf(XingEntityUser.class);
    expect(conversation.messages.anyObject).to.beInstanceOf(XingEntityMessage.class);

    NSDate *createdAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2012-04-04 16:30:00 +0000"];
    XingEntityMessage *message = conversation.messages.anyObject;
    expect(message.messageID).to.equal(@"104401_09361f");
    expect(message.createdAt).to.equal(createdAt);
    expect(message.content).to.equal(@"Yes of course!");
    expect(message.read).to.equal(@NO);
    expect(message.messageID).to.equal(@"104401_09361f");
    expect(message.sender).to.beInstanceOf(XingEntityUser.class);
}

@end
