//
//  XingFindByEmailsMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/22/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingFindByEmailsMappingTest.h"

@implementation XingFindByEmailsMappingTest

- (void)testFindByEmailsMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectFindByEmails class]];
    NSDictionary *data = [self mappingData:@"find_by_emails"][@"results"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectFindByEmails *emails = test.destinationObject;
    expect(emails.total).to.equal(@2);
    expect(emails.items.anyObject).to.beInstanceOf(XingObjectFindByEmailsItem.class);

    XingObjectFindByEmailsItem *item = emails.items.anyObject;
    expect(item.email).to.equal(@"existing_user@xing.com");
    expect(item.user).to.beInstanceOf(XingEntityUser.class);
}

@end
