//
//  XingInvitationStatsMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 2/9/13.
//  Copyright (c) 2013 XING AG. All rights reserved.
//

#import "XingInvitationStatsMappingTest.h"

@implementation XingInvitationStatsMappingTest

- (void)testInvitationStatsMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectInvitationStats class]];
    NSDictionary *data = [self mappingData:@"invitation_stats"][@"invitation_stats"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    NSArray *alreadyInvited = @[@"kven.sever@example.net"];
    NSArray *invalidAddresses = @[@"@example.f"];
    XingObjectInvitationStats *stats = test.destinationObject;
    expect(stats.alreadyInvited).to.equal(alreadyInvited);
    expect(stats.invalidAddresses).to.equal(invalidAddresses);
    expect(stats.invitationsSent).to.equal(@3);
    expect(stats.totalAddresses).to.equal(@7);
    expect(stats.alreadyMember.anyObject).to.beInstanceOf(XingEntityUser.class);
}

@end
