//
//  XingProfileMessageMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/23/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingProfileMessageMappingTest.h"
#import "RKISO8601DateFormatter.h"

@implementation XingProfileMessageMappingTest

- (void)testProfileMessageMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingEntityProfileMessage class]];
    NSDictionary *data = [self mappingData:@"profile_message"][@"profile_message"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    NSDate *updatedAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2011-07-18T11:40:19Z"];
    XingEntityProfileMessage *profileMessage = test.destinationObject;
    expect(profileMessage.message).to.equal(@"My new profile message.");
    expect(profileMessage.updatedAt).to.equal(updatedAt);
}

@end
