//
//  XingProfileVisitMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/27/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingProfileVisitMappingTest.h"
#import "RKISO8601DateFormatter.h"

@implementation XingProfileVisitMappingTest

- (void)testProfileVisitMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingEntityProfileVisit class]];
    NSDictionary *data = [self mappingData:@"visit"][@"visits"][1];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingEntityProfileVisit *visit = test.destinationObject;
    expect(visit.companyName).to.equal(@"XING AG");
    expect(visit.displayName).to.equal(@"Mark Schmidt");
    expect(visit.photoURL).to.beInstanceOf(XingEntityPhotoURL.class);
    expect(visit.reasonText).to.equal(@"Click on own contacts/bookmarks");
    expect(visit.userID).to.equal(@"6372502_bbf7d2");
    expect(visit.visitedAtEncrypted).to.equal(@"_Vu76Lr1lyqtubPe+TvRzKAHFmxgM34cii57r0nK6lgs=");
    // TODO: <plu> fix this, the timeZone expectation is not working and it expects 2011-01-13
//    NSTimeZone *timeZone = [NSTimeZone timeZoneForSecondsFromGMT:0];
//    NSDate *visitedAt = [[[RKISO8601DateFormatter alloc] init] dateFromString:@"2011-01-14" timeZone:&timeZone];
//    expect(visit.visitedAt).to.equal(visitedAt);
}

@end
