//
//  XingRecommendationMappingTest.m
//  XingSDK
//
//  Created by Johannes Plunien on 12/21/12.
//  Copyright (c) 2013 Johannes Plunien. All rights reserved.
//

#import "XingRecommendationMappingTest.h"

@implementation XingRecommendationMappingTest

- (void)testUserRecommendationMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectUserRecommendations class]];
    NSDictionary *data = [self mappingData:@"user_recommendation"][@"user_recommendations"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectUserRecommendations *recos = test.destinationObject;
    expect(recos.total).to.equal(@2);
    expect(recos.items.anyObject).to.beInstanceOf(XingEntityUser.class);
}

- (void)testJobRecommendationMapping {
    RKEntityMapping *mapping = [self mappingForClass:[XingObjectJobRecommendations class]];
    NSDictionary *data = [self mappingData:@"job_recommendation"][@"job_recommendations"];
    RKMappingTest *test = [self testForMapping:mapping withData:data];
    [test performMapping];

    XingObjectJobRecommendations *recos = test.destinationObject;
    expect(recos.total).to.equal(@1);
    expect(recos.items.anyObject).to.beInstanceOf(XingEntityJob.class);

    XingEntityJob *job = recos.items.anyObject;
    expect(job.jobID).to.equal(@"61723_4cae01");
    expect(job.title).to.equal(@"Softwareentwickler Ruby on Rails");
}

@end
